View Issue Details

IDCategoryLast Update
0008481bugs2020-12-04 13:52
ReporterGaryEdwardsAssigned Tox42 
Reproducibilityalways 
Status resolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS Version10
Product Version6.5 
Fixed in Version 
Summary0008481: Focusrite Red 2 & 3 Plugins VST3 Versions cause Ardour to crash
DescriptionArdour 6.5.0
"Old Land"
(rev 6.5)
Intel 64-bit

VST3 Plugin - VST3 Versions cause Ardour to crash
Focusrite Red 2 EQ
Focusrite Red 3 Compressor

Plugin opens and then Ardour crashes. VST versions work OK

Crash Dump

Source
Ardour.exe

Summary
Stopped working

Date
?02/?12/?2020 13:23

Status
Report sent

Description
Faulting Application Path: C:\Program Files\Ardour6\bin\Ardour.exe

Problem signature
Problem Event Name: APPCRASH
Application Name: Ardour.exe
Application Version: 0.0.0.0
Application Timestamp: 5fbae357
Fault Module Name: ntdll.dll
Fault Module Version: 10.0.19041.610
Fault Module Timestamp: e5d7ed5c
Exception Code: c0000005
Exception Offset: 0000000000017669
OS Version: 10.0.19041.2.0.0.256.48
Locale ID: 2057
Additional Information 1: e8fe
Additional Information 2: e8fe38bbab22a1687810ccc8ac58bb2f
Additional Information 3: ded9
Additional Information 4: ded9b7038b8fc7ed5f5b6d9de4b00276

Extra information about the problem
Bucket ID: 50ae6e3c8205b2a3bdbea809c9bc67f7 (2143335232667674615)
Steps To ReproducePlugin inserted into Master from plugin manager.
Plugin opens as in you get the graphical display and then Ardour crashes.
TagsNo tags attached.

Activities

x42

2020-12-03 16:39

administrator   ~0025279

The initial crash is fixed in 6.5-26 (today's http://nightly.ardour.org)

However there are still some missing bits and pieces: enabling "Demo" mode or activating the license is not yet possible for those plugins.

x42

2020-12-03 22:11

administrator   ~0025281

Fixed in 6.5.28

GaryEdwards

2020-12-04 10:36

reporter   ~0025286

New Build - 6.5.28-w64 - Stops working when opening session.
Gets as far the the Audio/Midi but fails to start session after pressing the "Start" button

Crash Dump ----

Source
Ardour.exe

Summary
Stopped working

Date
?04/?12/?2020 10:20

Status
Report sent

Description
Faulting Application Path: C:\Program Files\Ardour6\bin\Ardour.exe

Problem signature
Problem Event Name: BEX64
Application Name: Ardour.exe
Application Version: 0.0.0.0
Application Timestamp: 5fca04e6
Fault Module Name: rthdasio64.dll
Fault Module Version: 2.0.0.0
Fault Module Timestamp: 545b6e50
Exception Offset: 000000000000a33b
Exception Code: c0000409
Exception Data: 0000000000000005
OS Version: 10.0.19041.2.0.0.256.48
Locale ID: 2057
Additional Information 1: 1676
Additional Information 2: 1676fcab9363ca20c1e7f444441ce5d0
Additional Information 3: de1f
Additional Information 4: de1f4f7f93d3121c04b49be19607eed3

Extra information about the problem
Bucket ID: dafb3519c1f4e0a885abb89f925845e3 (1561544691308578275)

GaryEdwards

2020-12-04 13:52

reporter   ~0025288

Please Ignore my previous comment Regarding New Build - 6.5.28-w64 - Stops working. -- Its OK :)

I stupidly forgot I had turned of the Audio Interface (Focusrite Scarlett 18i8)
It works Fine.
Thanks for fixing the plugin problem so promptly.
Gary

Issue History

Date Modified Username Field Change
2020-12-02 18:20 GaryEdwards New Issue
2020-12-03 16:39 x42 Note Added: 0025279
2020-12-03 22:11 x42 Assigned To => x42
2020-12-03 22:11 x42 Status new => resolved
2020-12-03 22:11 x42 Resolution open => fixed
2020-12-03 22:11 x42 Note Added: 0025281
2020-12-04 10:36 GaryEdwards Note Added: 0025286
2020-12-04 13:52 GaryEdwards Note Added: 0025288